Package ru.bitel.bgbilling.modules.bill.server.bean

# Class NumerationPoolManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<NumerationPool>
ru.bitel.common.dao.AbstractIdDao<NumerationPool>
ru.bitel.common.model.LoggingAbstractManager<NumerationPool>
ru.bitel.bgbilling.modules.bill.server.bean.NumerationPoolManager

All Implemented Interfaces:
  `AutoCloseable`

public class NumerationPoolManager extends LoggingAbstractManager<NumerationPool>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.LoggingAbstractManager

  `userId`

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, getByIdPS, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumerationPoolManager(Connection con, int moduleId, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `deleteImpl(int id)`
  `static String`
  `formatNumber(int poolId, int yy, int mm, int num, int num_in_month, int num_in_year, Connection con, int mid)`
  `static String`
  `formatNumber(int poolId, int yy, int mm, int num, int num_in_month, int num_in_year, Connection con, int moduleId, int contractId)`
  `protected NumerationPool`
  `getFromRS(ResultSet rs)`
  `protected NumerationPool`
  `getImpl(int id)`
  `List<NumerationPool>`
  `list()`
  `protected void`
  `updateImpl(NumerationPool b)`

  ### Methods inherited from class ru.bitel.common.model.LoggingAbstractManager

  `delete, logListByCid, logListByOid, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, dropTemporaryTable, eq, get, getById, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NumerationPoolManager

    public NumerationPoolManager(Connection con, int moduleId, int userId)

- ## Method Details

  - ### list

    public List<NumerationPool> list() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected NumerationPool getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<NumerationPool>`
    Throws:
      `SQLException`

  - ### getImpl

    protected NumerationPool getImpl(int id) throws ru.bitel.bgbilling.common.BGException, SQLException
    Overrides:
      `getImpl` in class `ru.bitel.common.dao.AbstractDao<NumerationPool>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### updateImpl

    protected void updateImpl(NumerationPool b) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<NumerationPool>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### deleteImpl

    protected int deleteImpl(int id) throws ru.bitel.bgbilling.common.BGException, SQLException
    Overrides:
      `deleteImpl` in class `ru.bitel.common.dao.AbstractDao<NumerationPool>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### formatNumber

    public static String formatNumber(int poolId, int yy, int mm, int num, int num_in_month, int num_in_year, Connection con, int mid) throws Exception
    Throws:
      `Exception`

  - ### formatNumber

    public static String formatNumber(int poolId, int yy, int mm, int num, int num_in_month, int num_in_year, Connection con, int moduleId, int contractId) throws Exception
    Throws:
      `Exception`